LOAD DATA
INFILE '..\datafiles\REQUEST.del'
BADFILE '..\badfiles\REQUEST.bad'
DISCARDFILE '..\discardfiles\REQUEST.dsc'
REPLACE
INTO TABLE NF_SCHEMA."REQUEST"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
REQUEST_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
REQUEST_CLASS_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
NAME CHAR (255),                                                                                                                                                                                                                                                                              
REFERENCE_ID CHAR (50),                                                                                                                                                                                                                                                                       
EXTERNAL_ID CHAR (100),                                                                                                                                                                                                                                                                       
PROJECT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
COMPONENT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
BUILD_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                    
PROJECT_CATEGORY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                         
PHASE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                    
SEVERITY CHAR (255),                                                                                                                                                                                                                                                                          
REQUEST_STATE CHAR (255),                                                                                                                                                                                                                                                                     
PRIORITY CHAR (255),                                                                                                                                                                                                                                                                          
PLATFORM CHAR (255),                                                                                                                                                                                                                                                                          
ITERATION_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
RELEASE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
FIXEDINRELEASE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
SLOC_CHANGE INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
OWNER_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                    
REQUEST_CATEGORY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                         
TEAM_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
IS_BLOCKING INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
REQUEST_SOURCE CHAR (255),                                                                                                                                                                                                                                                                    
CREATION_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
CLOSED_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                            
SUBMIT_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                            
RESOLVED_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
ASSIGNED_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
DUPLICATE_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                         
ACTIVATE_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
STATUS CHAR (255),                                                                                                                                                                                                                                                                            
CUSTOMER_PRIORITY CHAR (255),                                                                                                                                                                                                                                                                 
RESOLUTION CHAR (255),                                                                                                                                                                                                                                                                        
REQUEST_TYPE CHAR (255),                                                                                                                                                                                                                                                                      
PLANNED_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
ACTUAL_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
COMMENT_COUNT INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
SUBSCRIBER_COUNT INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
STORY_POINTS INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
TAGS CHAR (255),                                                                                                                                                                                                                                                                              
URL CHAR (2048),                                                                                                                                                                                                                                                                              
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY2 CHAR (40),                                                                                                                                                                                                                                                                      
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                           
ISSOFTDELETED INTEGER EXTERNAL)                                                                                                                                                                                                                                                               
