LOAD DATA
INFILE '..\datafiles\TASK_DETAIL.del'
BADFILE '..\badfiles\TASK_DETAIL.bad'
DISCARDFILE '..\discardfiles\TASK_DETAIL.dsc'
REPLACE
INTO TABLE NF_SCHEMA."TASK_DETAIL"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
TASK_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
PLANNED_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
PLANNED_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
BASELINE_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
BASELINE_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                            
ACTUAL_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                               
ACTUAL_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
PLANNED_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
BASELINE_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
REGULAR_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
ACTUAL_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
REMAINING_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
PLANNED_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
BASELINE_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
ACTUAL_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
REMAINING_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                          
START_VARIANCE INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
FINISH_VARIANCE INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
DURATION_VARIANCE INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
PLANNED_OVT_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
ACTUAL_OVT_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
REMAINING_OVT_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                          
PLANNED_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                
BASELINE_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                               
ACTUAL_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                 
REMAINING_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                              
PLANNED_OVT_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
ACTUAL_OVT_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                             
REMAINING_OVT_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                          
DEADLINE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                   
EARLY_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                
LATE_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                
EARLY_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                               
LATE_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                 
CONSTRAINT_TYPE INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
CONSTRAINT_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                            
PERCENT_COMPLETE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
PERCENT_WORK_COMPLETE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                       
ACWP DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
BCWP DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
BCWS DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
EAC DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                         
VAC DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                         
WBS_CODE CHAR (255))                                                                                                                                                                                                                                                                          
